<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Swarm: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Swarm
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_func.html','');});
</script>
<div id="doc-content">
<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>actualRect()
: <a class="el" href="class_entity.html#a210cb32575d421aa6b3c41e7cebf351e">Entity</a>
</li>
<li>advance()
: <a class="el" href="class_entity.html#a5bf60514251e4ebf68055f8baacdcb34">Entity</a>
, <a class="el" href="class_main_window.html#a83e1ebb3fa24a18ceab1202f79b312c0">MainWindow</a>
</li>
<li>avoidInfected()
: <a class="el" href="class_entity.html#a5c3e97c80ce5155c8e5789b15dd21964">Entity</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>behaviour()
: <a class="el" href="class_entity.html#a0911e61f5f5221e8c2423277ff006613">Entity</a>
</li>
<li>blink()
: <a class="el" href="class_entity.html#aa7901c581d66e71511a199851c852f51">Entity</a>
</li>
<li>boundingRect()
: <a class="el" href="class_entity.html#ad12604d5ebd2c806308d59e51805fc4c">Entity</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>calcAngle()
: <a class="el" href="class_entity.html#a7126f3bccb7f2ef87c6bd97d1a5fe574">Entity</a>
</li>
<li>carry()
: <a class="el" href="class_entity.html#afe6a94511eb1b29ca5ce0e1f26d866d7">Entity</a>
</li>
<li>checkCemetery()
: <a class="el" href="class_entity.html#aa009ae82632bb297443881dc6d9aa659">Entity</a>
</li>
<li>continuation()
: <a class="el" href="class_entity.html#aac385d8d40e430e6b3291049f1aa01f0">Entity</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>drop()
: <a class="el" href="class_entity.html#aedb90015d46f950fe793fe38af0b0c96">Entity</a>
</li>
</ul>


<h3><a id="index_e"></a>- e -</h3><ul>
<li>Entity()
: <a class="el" href="class_entity.html#ad1ec8741d85652e33c0f91d7d36319b6">Entity</a>
</li>
<li>eventFilter()
: <a class="el" href="class_main_window.html#a75d7910a13ccc8ee60126bf7be448341">MainWindow</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>getAverageDir()
: <a class="el" href="class_entity.html#a067f5364a361dc264290f0f689b2c1ad">Entity</a>
</li>
<li>getAvoidDir()
: <a class="el" href="class_entity.html#a6a30f6840724fb0b3fffc0d05183d5a4">Entity</a>
</li>
<li>getCohesion()
: <a class="el" href="class_entity.html#af5959e330ebafe1a3fed582b5c3901a8">Entity</a>
</li>
<li>getFriends()
: <a class="el" href="class_entity.html#ad4d70cf0198b84bde757adb52b78a1d3">Entity</a>
</li>
<li>getIfAvoidFriends()
: <a class="el" href="class_entity.html#a118cca65586b4532c2a68b9153e37a34">Entity</a>
</li>
<li>getIfCohesion()
: <a class="el" href="class_entity.html#a3a9ff9233349eca13092ff1d280a8079">Entity</a>
</li>
<li>getIfDirection()
: <a class="el" href="class_entity.html#a5c36894ec38046487eaf5ed89b9092ff">Entity</a>
</li>
<li>getIfWander()
: <a class="el" href="class_entity.html#a58125570abc19062a26327d50d793550">Entity</a>
</li>
<li>getSpeedX()
: <a class="el" href="class_entity.html#aae054a357ba0160edc06f1d91ccbd948">Entity</a>
</li>
<li>getSpeedY()
: <a class="el" href="class_entity.html#a762854bad0508837045a0252f0d76774">Entity</a>
</li>
</ul>


<h3><a id="index_i"></a>- i -</h3><ul>
<li>infect()
: <a class="el" href="class_entity.html#aecfa511c80f3f62aa2808b85a03403e0">Entity</a>
</li>
<li>infectUpdate()
: <a class="el" href="class_entity.html#aaa69861ec8a7470f64f0a722c9130e1d">Entity</a>
</li>
<li>initWay()
: <a class="el" href="class_entity.html#a2fc69b5350b5fcf634c8f8631ec119e3">Entity</a>
</li>
<li>isAlive()
: <a class="el" href="class_entity.html#abadcf5fb781cafa3a9779091e210b96f">Entity</a>
</li>
<li>isCarried()
: <a class="el" href="class_entity.html#afa34f4ad5a1c9874721170fd75f61ee2">Entity</a>
</li>
<li>isInCemetery()
: <a class="el" href="class_entity.html#ae8ae9db0661beceaf7b6ee81dfb60727">Entity</a>
</li>
<li>isInfected()
: <a class="el" href="class_entity.html#a818e9637c884c49f27a0451e230f992b">Entity</a>
</li>
<li>itemChange()
: <a class="el" href="class_entity.html#a088d46392a34f547e0bb61e3434156b1">Entity</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>keyPressEvent()
: <a class="el" href="class_main_window.html#a9c4f542263838b9ecd06eae839a42a34">MainWindow</a>
</li>
<li>knowCemeteryLocation()
: <a class="el" href="class_entity.html#aace1c46fc45eca600792dbca0b87b415">Entity</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>limit()
: <a class="el" href="class_entity.html#ac02ad4a3686521b551ab82d5b0688b67">Entity</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>magnitude()
: <a class="el" href="class_entity.html#a9fa8e0513907981149155657dfe4d00e">Entity</a>
</li>
<li>MainWindow()
: <a class="el" href="class_main_window.html#a34c4b4207b46d11a4100c9b19f0e81bb">MainWindow</a>
</li>
<li>mourn()
: <a class="el" href="class_entity.html#a67dcb80ceb7702458dc58059f043525e">Entity</a>
</li>
<li>mousePressEvent()
: <a class="el" href="class_main_window.html#a0c75b8c1c8084615b288072723ecc9a5">MainWindow</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>paint()
: <a class="el" href="class_entity.html#a9c31cba51e980a1840b52a445416d110">Entity</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>resetBrush()
: <a class="el" href="class_entity.html#adc3021850e78c1aaaef9f523dc0e307c">Entity</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>setColor()
: <a class="el" href="class_entity.html#acb591b8bc60c6a41db5b34e4bdb416cb">Entity</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>toggleIfAvoidFriends()
: <a class="el" href="class_entity.html#abdfd28b7362c9b562a82743effc0f81a">Entity</a>
</li>
<li>toggleIfCohesion()
: <a class="el" href="class_entity.html#a0f355fa44c74dfea199a8eb228291259">Entity</a>
</li>
<li>toggleIfDirection()
: <a class="el" href="class_entity.html#a8ac00123b88d2090e6f660ae11687f50">Entity</a>
</li>
<li>toggleIfWander()
: <a class="el" href="class_entity.html#af2f21013aa2a642af09a34090ec45951">Entity</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>wander()
: <a class="el" href="class_entity.html#a0d230711cff82b53f1f72c154f3c12bc">Entity</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
